package com.style24.core.biz.checkout;

public class MallServicePortTypeProxy implements com.style24.core.biz.checkout.MallServicePortType {
  private String _endpoint = null;
  private com.style24.core.biz.checkout.MallServicePortType mallServicePortType = null;
  
  public MallServicePortTypeProxy() {
    _initMallServicePortTypeProxy();
  }
  
  public MallServicePortTypeProxy(String endpoint) {
    _endpoint = endpoint;
    _initMallServicePortTypeProxy();
  }
  
  private void _initMallServicePortTypeProxy() {
    try {
      mallServicePortType = (new com.style24.core.biz.checkout.MallServiceLocator("")).getMallServiceSOAP11Port();
      if (mallServicePortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)mallServicePortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)mallServicePortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (mallServicePortType != null)
      ((javax.xml.rpc.Stub)mallServicePortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.style24.core.biz.checkout.MallServicePortType getMallServicePortType() {
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType;
  }
  
  public com.style24.core.biz.checkout.mall.PlaceProductOrderResponse placeProductOrder(com.style24.core.biz.checkout.mall.PlaceProductOrderRequest placeProductOrderRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.placeProductOrder(placeProductOrderRequest);
  }
  
  public com.style24.core.biz.checkout.mall.WithholdExchangeResponse withholdExchange(com.style24.core.biz.checkout.mall.WithholdExchangeRequest withholdExchangeRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.withholdExchange(withholdExchangeRequest);
  }
  
  public com.style24.core.biz.checkout.mall.ReleaseExchangeHoldResponse releaseExchangeHold(com.style24.core.biz.checkout.mall.ReleaseExchangeHoldRequest releaseExchangeHoldRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.releaseExchangeHold(releaseExchangeHoldRequest);
  }
  
  public com.style24.core.biz.checkout.mall.GetProductOrderInfoListResponse getProductOrderInfoList(com.style24.core.biz.checkout.mall.GetProductOrderInfoListRequest getProductOrderInfoListRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.getProductOrderInfoList(getProductOrderInfoListRequest);
  }
  
  public com.style24.core.biz.checkout.mall.ApproveCollectedExchangeResponse approveCollectedExchange(com.style24.core.biz.checkout.mall.ApproveCollectedExchangeRequest approveCollectedExchangeRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.approveCollectedExchange(approveCollectedExchangeRequest);
  }
  
  public com.style24.core.biz.checkout.mall.ApproveReturnApplicationResponse approveReturnApplication(com.style24.core.biz.checkout.mall.ApproveReturnApplicationRequest approveReturnApplicationRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.approveReturnApplication(approveReturnApplicationRequest);
  }
  
  public com.style24.core.biz.checkout.mall.ShipProductOrderResponse shipProductOrder(com.style24.core.biz.checkout.mall.ShipProductOrderRequest shipProductOrderRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.shipProductOrder(shipProductOrderRequest);
  }
  
  public com.style24.core.biz.checkout.mall.WithholdReturnResponse withholdReturn(com.style24.core.biz.checkout.mall.WithholdReturnRequest withholdReturnRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.withholdReturn(withholdReturnRequest);
  }
  
  public com.style24.core.biz.checkout.mall.GetPurchaseReviewListResponse getPurchaseReviewList(com.style24.core.biz.checkout.mall.GetPurchaseReviewListRequest getPurchaseReviewListRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.getPurchaseReviewList(getPurchaseReviewListRequest);
  }
  
  public com.style24.core.biz.checkout.mall.GetMigratedProductOrderListResponse getMigratedProductOrderList(com.style24.core.biz.checkout.mall.GetMigratedProductOrderListRequest getMigratedProductOrderListRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.getMigratedProductOrderList(getMigratedProductOrderListRequest);
  }
  
  public com.style24.core.biz.checkout.mall.DelayProductOrderResponse delayProductOrder(com.style24.core.biz.checkout.mall.DelayProductOrderRequest delayProductOrderRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.delayProductOrder(delayProductOrderRequest);
  }
  
  public com.style24.core.biz.checkout.mall.ReleaseReturnHoldResponse releaseReturnHold(com.style24.core.biz.checkout.mall.ReleaseReturnHoldRequest releaseReturnHoldRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.releaseReturnHold(releaseReturnHoldRequest);
  }
  
  public com.style24.core.biz.checkout.mall.RequestReturnResponse requestReturn(com.style24.core.biz.checkout.mall.RequestReturnRequest requestReturnRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.requestReturn(requestReturnRequest);
  }
  
  public com.style24.core.biz.checkout.mall.CancelSaleResponse cancelSale(com.style24.core.biz.checkout.mall.CancelSaleRequest cancelSaleRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.cancelSale(cancelSaleRequest);
  }
  
  public com.style24.core.biz.checkout.mall.ReDeliveryExchangeResponse reDeliveryExchange(com.style24.core.biz.checkout.mall.ReDeliveryExchangeRequest reDeliveryExchangeRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.reDeliveryExchange(reDeliveryExchangeRequest);
  }
  
  public com.style24.core.biz.checkout.mall.RejectExchangeResponse rejectExchange(com.style24.core.biz.checkout.mall.RejectExchangeRequest rejectExchangeRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.rejectExchange(rejectExchangeRequest);
  }
  
  public com.style24.core.biz.checkout.mall.ApproveCancelApplicationResponse approveCancelApplication(com.style24.core.biz.checkout.mall.ApproveCancelApplicationRequest approveCancelApplicationRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.approveCancelApplication(approveCancelApplicationRequest);
  }
  
  public com.style24.core.biz.checkout.mall.RejectReturnResponse rejectReturn(com.style24.core.biz.checkout.mall.RejectReturnRequest rejectReturnRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.rejectReturn(rejectReturnRequest);
  }
  
  public com.style24.core.biz.checkout.mall.GetProductOrderIdListResponse getProductOrderIDList(com.style24.core.biz.checkout.mall.GetProductOrderIdListRequest getProductOrderIDListRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.getProductOrderIDList(getProductOrderIDListRequest);
  }
  
  public com.style24.core.biz.checkout.mall.GetChangedProductOrderListResponse getChangedProductOrderList(com.style24.core.biz.checkout.mall.GetChangedProductOrderListRequest getChangedProductOrderListRequest) throws java.rmi.RemoteException{
    if (mallServicePortType == null)
      _initMallServicePortTypeProxy();
    return mallServicePortType.getChangedProductOrderList(getChangedProductOrderListRequest);
  }
  
  
}